If you have heard of Certificates Next Generation (silly name, I know), which is why people call them V3 templates at Microsoft most of the time, then you might wonder or already know that there could be some compatibility issues - the same is true for all "new" things. Just like my new office power requirements were not even thought of when this house I live in was built. Okay, that aside, I have posted a new article on the TechNet Wiki that I would like people to see Incompatible with Windows Server 2008 Enterprise (Version 3 or V3) certificate templates and help me develop - if they run into issues. Please, log in with your Live ID and add any V3 template compatibility issues that are not already listed that you have or at some point encounter. Otherwise, just read the article and be warned. Smile